<?php
/**
 * This Plugin is subject to copyright protection. It is only for the use of
 * Shopgate GmbH customers, for the purpose of facilitating communication between
 * the IT systems of the customer and the IT systems of Shopgate GmbH via
 * www.Shopgate.com. Any reproduction, dissemination, public propagation,
 * processing or transfer to third parties is only permitted where we previously
 * consented thereto in writing. The provisions of paragraph 69 d,
 * sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of
 * the German Copyright Act shall remain unaffected.
 *
 *
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von
 * Kunden der Shopgate GmbH zum Zwecke der eigenen Kommunikation zwischen
 * dem IT-System des Kunden mit dem IT-System der Shopgate GmbH verwendet werden.
 * Eine darüber hinausgehende Vervielfältigung, Verbreitung, öffentliche
 * Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer
 * vorherigen schriftlichen Zustimmung zulässig. Die Regelungen
 * der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 */

if (version_compare(marm_shopgate::getOxConfig()->getVersion(), '4.2.0', "<")) {
	
	//In Oxid < 4.2.0 the smarty tag "oxinputhelp" does not exist. So we create our own version...
	
	function oxinputhelpTag($params) {
		return marm_shopgate::oxinputhelpTag($params);
	}
	
	marm_shopgate::getOxUtilsView()->getSmarty()->register_function('oxinputhelp', 'oxinputhelpTag');
}

/**
 * Admin controller for Shopgate tab in article list, so Shopgate values
 * can be set and edited.
 */
class marm_shopgate_article extends oxAdminDetails {
	
	protected $_sThisTemplate = 'marm_shopgate_article.tpl';
	
	/**
	 * stores active article for editing
	 *
	 * @var oxArticle
	 */
	protected $_oArticle = null;
	
	/**
	 * returns active article for editing
	 *
	 * @param bool $blReset
	 * @return oxArticle
	 */
	public function getArticle($blReset = false) {
		if ($this->_oArticle !== null && !$blReset) {
			return $this->_oArticle;
		}
		
		$soxId           = $this->getEditObjectId();
		$this->_oArticle = oxNew('oxArticle');
		$this->_oArticle->load($soxId);
		
		return $this->_oArticle;
	}
	
	/**
	 * Saves changes of article parameters.
	 *
	 * @return null
	 */
	public function save() {
		$soxId   = $this->getEditObjectId();
		$aParams = marm_shopgate::getRequestParameter('editval');
		
		/** @var oxArticle $oArticle */
		$oArticle = oxNew('oxarticle');
		$oArticle->setLanguage($this->_iEditLang);
		$oArticle->loadInLang($this->_iEditLang, $soxId);
		$oArticle->setLanguage(0);
		
		$oArticle->assign($aParams);
		$oArticle->setLanguage($this->_iEditLang);
		$oArticle->save();
		
		$this->setEditObjectId($oArticle->getId());
	}
}
