<?php
/**
 * This Plugin is subject to copyright protection. It is only for the use of
 * Shopgate GmbH customers, for the purpose of facilitating communication between
 * the IT systems of the customer and the IT systems of Shopgate GmbH via
 * www.Shopgate.com. Any reproduction, dissemination, public propagation,
 * processing or transfer to third parties is only permitted where we previously
 * consented thereto in writing. The provisions of paragraph 69 d,
 * sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of
 * the German Copyright Act shall remain unaffected.
 *
 *
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von
 * Kunden der Shopgate GmbH zum Zwecke der eigenen Kommunikation zwischen
 * dem IT-System des Kunden mit dem IT-System der Shopgate GmbH verwendet werden.
 * Eine darüber hinausgehende Vervielfältigung, Verbreitung, öffentliche
 * Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer
 * vorherigen schriftlichen Zustimmung zulässig. Die Regelungen
 * der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 */

if (version_compare(marm_shopgate::getOxConfig()->getVersion(), '4.2.0', "<")) {
	
	//In Oxid < 4.2.0 the smarty tag "oxinputhelp" does not exist. So we create our own version...
	
	function oxinputhelpTag($params) {
		return marm_shopgate::oxinputhelpTag($params);
	}
	
	marm_shopgate::getOxUtilsView()->getSmarty()->register_function('oxinputhelp', 'oxinputhelpTag');
}

/**
 * Admin controller for Shopgate config tab
 */
class marm_shopgate_config extends Shop_Config {
	
	/**
	 * shopgate configuration template
	 *
	 * @var string
	 */
	protected $_sThisTemplate = 'marm_shopgate_config.tpl';
	
	/**
	 * stores array for shopgate config, with information how to display it
	 *
	 * @var array
	 */
	protected $_aShopgateConfig = null;
	
	/**
	 * returns shopgate config array with information how to display it
	 *
	 * @see marm_shopgate::getConfigForAdminGui()
	 * @param bool $blReset
	 * @return array
	 */
	public function getShopgateConfig($blReset = false) {
		if ($this->_aShopgateConfig === null || $blReset) {
			$this->_aShopgateConfig = marm_shopgate::getInstance()->getConfigForAdminGui();
		}
		
		return $this->_aShopgateConfig;
	}
	
	public function getPluginVersion($blReset = false) {
		return SHOPGATE_PLUGIN_VERSION;
	}
	
	public function getLibraryVersion($blReset = false) {
		return SHOPGATE_LIBRARY_VERSION;
	}
}