<?php
/**
 * This Plugin is subject to copyright protection. It is only for the use of
 * Shopgate GmbH customers, for the purpose of facilitating communication between
 * the IT systems of the customer and the IT systems of Shopgate GmbH via
 * www.Shopgate.com. Any reproduction, dissemination, public propagation,
 * processing or transfer to third parties is only permitted where we previously
 * consented thereto in writing. The provisions of paragraph 69 d,
 * sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of
 * the German Copyright Act shall remain unaffected.
 *
 *
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von
 * Kunden der Shopgate GmbH zum Zwecke der eigenen Kommunikation zwischen
 * dem IT-System des Kunden mit dem IT-System der Shopgate GmbH verwendet werden.
 * Eine darüber hinausgehende Vervielfältigung, Verbreitung, öffentliche
 * Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer
 * vorherigen schriftlichen Zustimmung zulässig. Die Regelungen
 * der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 */

class Shopgate_Model_Export_Review extends Shopgate_Model_Catalog_Review {
	
	/** @var oxReview */
	protected $item;
	
	/** @var string */
	protected $uniqueArticleIdField;
	
	/**
	 * set unique identifier for articles
	 *
	 * @param string $value
	 */
	public function setUniqueArticleIdentifier($value) {
		$this->uniqueArticleIdField = $value;
	}
	
	public function setUid() {
		parent::setUid($this->item->oxreviews__oxid->value);
	}
	
	public function setItemUid() {
		$oxId = $this->item->oxreviews__oxobjectid->value;
		if ($this->uniqueArticleIdField == 'oxid') {
			parent::setItemUid($oxId);
			return;
		}
		$sql = "SELECT $this->uniqueArticleIdField FROM oxarticles WHERE oxid = '{$oxId}'";
		$id  = marm_shopgate::dbGetOne($sql);
		parent::setItemUid($id);
	}
	
	public function setScore() {
		parent::setScore($this->item->oxreviews__oxrating->value * 2);
	}
	
	public function setReviewerName() {
		$reviewerName = '(anonym)';
		if (!empty($this->item->oxuser__oxfname->value)) {
			$reviewerName = $this->item->oxuser__oxfname->value;
		}
		parent::setReviewerName($reviewerName);
	}
	
	public function setDate() {
		parent::setDate(date('Y-m-d', strtotime($this->item->oxreviews__oxcreate->value)));
	}
	
	public function setTitle() {
		parent::setTitle('');
	}
	
	public function setText() {
		parent::setText($this->item->oxreviews__oxtext->value);
	}
	
	/**
	 * @return array
	 */
	public function asCsv() {
		return array(
			'update_review_id' => $this->getUid(),
			'item_number'      => $this->getItemUid(),
			'score'            => $this->getScore(),
			'name'             => $this->getReviewerName(),
			'date'             => $this->getDate(),
			'title'            => $this->getTitle(),
			'text'             => $this->getText(),
		);
	}
}