# Shopgate Library

[![GitHub license](http://dmlc.github.io/img/apache2.svg)](./LICENSE)

The Shopgate Library is a compilation of classes to manage the communication between your shop system and Shopgate via the Shopgate Plugin API and the Shopgate Merchant API. The Library provides methods for processing incoming and outgoing requests, configuration options and for handling errors. 

## Getting Started
#### Via Composer
```composer require shopgate/library```

#### Manually
Download and unzip the latest package from http://files.shopgate.com/plugins/shopgate_library.zip.

Include ```shopgate.php``` from the root folder of the package:

```require_once 'vendor/shopgate_library/shopgate.php';```

## Developing a Shopgate Integration
If you want to know more about how the Shopgate Library works have a look into the [documentation](http://developer.shopgate.com/library).

Wanna see all the code? Try the [example plugin](http://developer.shopgate.com/example_plugin).

## Contributing

Contributions to the integration are welcome and encouraged!

1. Fork the project and clone locally.
1. Create a branch for every change you plan to have applied.
1. Make *small* commits with *comprehensive* commit messages.
1. Create a pull request for Shopgate to review.
1. Monitor and respond to any feed back that may be given prior to merging.

## About Shopgate

Shopgate is the leading mobile commerce platform.

Shopgate offers everything online retailers need to be successful in mobile. Our leading software-as-a-service (SaaS) enables online stores to easily create, maintain and optimize native apps and mobile websites for the iPhone, iPad, Android smartphones and tablets.

## License

The Shopgate Library is available under the Apache License, Version 2.0.

See the [LICENSE.md](./LICENSE.md) file for more information.