<?php
/**
 * This Plugin is subject to copyright protection. It is only for the use of
 * Shopgate GmbH customers, for the purpose of facilitating communication between
 * the IT systems of the customer and the IT systems of Shopgate GmbH via
 * www.Shopgate.com. Any reproduction, dissemination, public propagation,
 * processing or transfer to third parties is only permitted where we previously
 * consented thereto in writing. The provisions of paragraph 69 d,
 * sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of
 * the German Copyright Act shall remain unaffected.
 *
 *
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von
 * Kunden der Shopgate GmbH zum Zwecke der eigenen Kommunikation zwischen
 * dem IT-System des Kunden mit dem IT-System der Shopgate GmbH verwendet werden.
 * Eine darüber hinausgehende Vervielfältigung, Verbreitung, öffentliche
 * Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer
 * vorherigen schriftlichen Zustimmung zulässig. Die Regelungen
 * der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 */

class shopgate_oxbasket extends shopgate_oxbasket_parent {

###### Variant version rev: 7469; Martin Weber; 14.08.2013 #####
###### Variant version #12345; Christian Frenzl; 16.10.2013 BOF #####
	protected function _calcBasketDiscount() {
		$result = parent::_calcBasketDiscount();
		if (defined("_SHOPGATE_API") && _SHOPGATE_API) {
			$this->_aDiscounts = array();
			//$this->_aDiscountedVats = array();
		}
		
		return $result;
	}
###### Variant version #12345; Christian Frenzl; 16.10.2013 EOF #####
	
	
	public function calculateBasket($blForceUpdate = false) {
		
		/**
		 * Workaround for a bug in Oxid < 4.7.1
		 * see https://bugs.oxid-esales.com/view.php?id=3982
		 */
		$oxidVersion = marm_shopgate::getOxConfig()->getVersion();
		if (version_compare($oxidVersion, '4.7.1', '<')) {
			if ($blForceUpdate) {
				$this->onUpdate();
			}
		}
		
		return parent::calculateBasket($blForceUpdate);
	}
	
	protected function _calcDeliveryCost() {
		// If delivery costs already set, don't recalculate them (to prevent other plugins from overwriting our delivery costs; see #17908). 
		if ($this->_oDeliveryPrice !== null) {
			return $this->_oDeliveryPrice;
		}
		
		return parent::_calcDeliveryCost();
	}
	
	public function getDelCostNetAsFloat() {
		$cost = $this->getDelCostNet();
		
		return empty($cost) ? $cost : floatval(str_replace(',', '.', $cost));
	}
	
	/**
	 * Method didn't exist in Oxid < 4.7
	 * @return bool
	 */
	public function isCalculationModeNetto() {
		if (method_exists('oxBasket', 'isCalculationModeNetto')) {
			/** @noinspection PhpUndefinedMethodInspection */
			return parent::isCalculationModeNetto();
		}
		
		return false;
	}
	
}