<?php
/**
 * This Plugin is subject to copyright protection. It is only for the use of
 * Shopgate GmbH customers, for the purpose of facilitating communication between
 * the IT systems of the customer and the IT systems of Shopgate GmbH via
 * www.Shopgate.com. Any reproduction, dissemination, public propagation,
 * processing or transfer to third parties is only permitted where we previously
 * consented thereto in writing. The provisions of paragraph 69 d,
 * sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of
 * the German Copyright Act shall remain unaffected.
 *
 *
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von
 * Kunden der Shopgate GmbH zum Zwecke der eigenen Kommunikation zwischen
 * dem IT-System des Kunden mit dem IT-System der Shopgate GmbH verwendet werden.
 * Eine darüber hinausgehende Vervielfältigung, Verbreitung, öffentliche
 * Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer
 * vorherigen schriftlichen Zustimmung zulässig. Die Regelungen
 * der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 */

/**
 * Overload the oxvarianthandler in oxid to
 * set the shopgate-fields to its default-value
 *
 * marm_shopgate_marketplace => 1
 * marm_shopgate_export => 1
 */
class shopgate_oxvarianthandler extends shopgate_oxvarianthandler_parent {
	
	protected function _createNewVariant($aParams = null, $sParentId = null) {
		/** @noinspection PhpUndefinedMethodInspection */
		$oxid = parent::_createNewVariant($aParams, $sParentId);
		
		$this->sg_setDefaultValues($oxid);
		
		return $oxid;
	}
	
	//before Oxid 4.5.0 this function was written with a typo
	protected function _craeteNewVariant($aParams = null, $sParentId = null) {
		/** @noinspection PhpUndefinedMethodInspection */
		$oxid = parent::_craeteNewVariant($aParams, $sParentId);
		
		$this->sg_setDefaultValues($oxid);
		
		return $oxid;
	}
	
	private function sg_setDefaultValues($oxid) {
		/** @var oxArticle $oArticle */
		$oArticle = oxNew('oxarticle');
		$oArticle->load($oxid);
		
		$oArticle->oxarticles__marm_shopgate_marketplace = new oxField('1', oxField::T_RAW);
		$oArticle->oxarticles__marm_shopgate_export      = new oxField('1', oxField::T_RAW);
		$oArticle->save();
	}
}