<?php
/**
 * This Plugin is subject to copyright protection. It is only for the use of
 * Shopgate GmbH customers, for the purpose of facilitating communication between
 * the IT systems of the customer and the IT systems of Shopgate GmbH via
 * www.Shopgate.com. Any reproduction, dissemination, public propagation,
 * processing or transfer to third parties is only permitted where we previously
 * consented thereto in writing. The provisions of paragraph 69 d,
 * sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of
 * the German Copyright Act shall remain unaffected.
 *
 *
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von
 * Kunden der Shopgate GmbH zum Zwecke der eigenen Kommunikation zwischen
 * dem IT-System des Kunden mit dem IT-System der Shopgate GmbH verwendet werden.
 * Eine darüber hinausgehende Vervielfältigung, Verbreitung, öffentliche
 * Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer
 * vorherigen schriftlichen Zustimmung zulässig. Die Regelungen
 * der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 */

/**
 * Class ShopgateUserHelperEE
 */
class ShopgateUserHelperEE extends ShopgateUserHelper {
	
	/**
	 * @param oxUser                $oxUser
	 * @param ShopgateCartBase|null $shopgateOrder
	 *
	 * @return oxUser
	 */
	public function setOxidUserInvoiceData(oxUser $oxUser, ShopgateCartBase $shopgateOrder = null) {
		$this->log("Call Function 'setOxidUserInvoiceData' for OxidEE", ShopgateLogger::LOGTYPE_DEBUG);
		
		$oxUser = parent::setOxidUserInvoiceData($oxUser, $shopgateOrder);
		
		// ATTENTION omitting empty fields (oxustidstatus) leads to a fatal error
		$oxUser->oxuser__oxustidstatus = new oxField("", oxField::T_RAW);
		
		return $oxUser;
	}
}