<?php
/**
 * This Plugin is subject to copyright protection. It is only for the use of
 * Shopgate GmbH customers, for the purpose of facilitating communication between
 * the IT systems of the customer and the IT systems of Shopgate GmbH via
 * www.Shopgate.com. Any reproduction, dissemination, public propagation,
 * processing or transfer to third parties is only permitted where we previously
 * consented thereto in writing. The provisions of paragraph 69 d,
 * sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of
 * the German Copyright Act shall remain unaffected.
 *
 *
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von
 * Kunden der Shopgate GmbH zum Zwecke der eigenen Kommunikation zwischen
 * dem IT-System des Kunden mit dem IT-System der Shopgate GmbH verwendet werden.
 * Eine darüber hinausgehende Vervielfältigung, Verbreitung, öffentliche
 * Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer
 * vorherigen schriftlichen Zustimmung zulässig. Die Regelungen
 * der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 */

/**
 * this will emulate oxid 4.5.x  oxAdminView::getEditObjectId()
 */
class marm_shopgate_oxadminview extends marm_shopgate_oxadminview_parent {
	
	/**
	 * Editable object id
	 *
	 * @var string
	 */
	protected $_sEditObjectId = null;
	
	/**
	 * Returns active/editable object id
	 *
	 * @return string
	 */
	public function getEditObjectId() {
		if (null === ($sId = $this->_sEditObjectId)) {
			if (null === ($sId = marm_shopgate::getRequestParameter("oxid"))) {
				/** @noinspection PhpUndefinedMethodInspection */
				$sId = marm_shopgate::getSessionVar("saved_oxid");
			}
		}
		
		return $sId;
	}
	
	/**
	 * Sets editable object id
	 *
	 * @param string $sId object id
	 *
	 * @return string
	 */
	public function setEditObjectId($sId) {
		$this->_sEditObjectId           = $sId;
		$this->_aViewData["updatelist"] = 1;
	}
}
