<?php
/**
 * This Plugin is subject to copyright protection. It is only for the use of
 * Shopgate GmbH customers, for the purpose of facilitating communication between
 * the IT systems of the customer and the IT systems of Shopgate GmbH via
 * www.Shopgate.com. Any reproduction, dissemination, public propagation,
 * processing or transfer to third parties is only permitted where we previously
 * consented thereto in writing. The provisions of paragraph 69 d,
 * sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of
 * the German Copyright Act shall remain unaffected.
 *
 *
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von
 * Kunden der Shopgate GmbH zum Zwecke der eigenen Kommunikation zwischen
 * dem IT-System des Kunden mit dem IT-System der Shopgate GmbH verwendet werden.
 * Eine darüber hinausgehende Vervielfältigung, Verbreitung, öffentliche
 * Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer
 * vorherigen schriftlichen Zustimmung zulässig. Die Regelungen
 * der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 */

class shopgate_order_overview extends shopgate_order_overview_parent {
	
	/**
	 * @see Order_Overview::render()
	 */
	public function render() {
		$value = parent::render();
		/** @var oxOrderShopgate $shopgateOrder */
		$shopgateOrder = oxNew("oxordershopgate");
		
		// If this is a shopgate order ...
		if ($shopgateOrder->load(marm_shopgate::getRequestParameter("oxid"), "oxorderid")) {
			$oxidOrder = $shopgateOrder->getOxidOrder();
			
			// ... and the is not canceled ...
			if (!$oxidOrder->oxorder__oxstorno->value) {
				// ... and the shipping is blocked by shopgate ...
				if ($shopgateOrder->oxordershopgate__is_shipping_blocked->value) {
					// ... set the buttons to readonly
					$this->_aViewData["readonly"] = "readonly";
				}
			}
			
			if (!isset($this->_aViewData["oPayments"]) || !$this->_aViewData["oPayments"]) {
				$this->_aViewData["oPayments"] = array();
			}
			
			/** @var oxPayment $p */
			$p = oxnew("oxpayment");
			$p->load("oxshopgate");
			$this->_aViewData["oPayments"][$p->getId()] = $p;
			
			$p = oxnew("oxpayment");
			$p->load("oxmobile_payment");
			$this->_aViewData["oPayments"][$p->getId()] = $p;
		}
		
		return $value;
	}
}