<?php
/**
 * This Plugin is subject to copyright protection. It is only for the use of
 * Shopgate GmbH customers, for the purpose of facilitating communication between
 * the IT systems of the customer and the IT systems of Shopgate GmbH via
 * www.Shopgate.com. Any reproduction, dissemination, public propagation,
 * processing or transfer to third parties is only permitted where we previously
 * consented thereto in writing. The provisions of paragraph 69 d,
 * sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of
 * the German Copyright Act shall remain unaffected.
 *
 *
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von
 * Kunden der Shopgate GmbH zum Zwecke der eigenen Kommunikation zwischen
 * dem IT-System des Kunden mit dem IT-System der Shopgate GmbH verwendet werden.
 * Eine darüber hinausgehende Vervielfältigung, Verbreitung, öffentliche
 * Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer
 * vorherigen schriftlichen Zustimmung zulässig. Die Regelungen
 * der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 */

class shopgate_oxvoucher extends shopgate_oxvoucher_parent {
	
	/**
	 * Override the oxVoucher::getDiscountValue
	 *
	 * On shopgate API request and shopgate coupon return the voucher
	 * discount and not the series discount
	 *
	 * @param double $dPrice
	 * @return double
	 */
	public function getDiscountValue($dPrice) {
		if (defined("_SHOPGATE_API") && _SHOPGATE_API && $this->getSerie()->getId() == ShopgateVoucherHelper::VOUCHER_OXID) {
			$dVoucher = doubleval($this->oxvouchers__oxdiscount->value);
			
			if ($dVoucher > $dPrice) {
				return $dPrice;
			}
			
			return $dVoucher;
		}
		
		return parent::getDiscountValue($dPrice);
	}
	
	/**
	 * The return annotation is faulty in the original Oxid method, so we override it here...
	 *
	 * @return oxVoucherSerie
	 */
	public function getSerie() {
		return parent::getSerie();
	}
	
}