<?php
/**
 * This Plugin is subject to copyright protection. It is only for the use of
 * Shopgate GmbH customers, for the purpose of facilitating communication between
 * the IT systems of the customer and the IT systems of Shopgate GmbH via
 * www.Shopgate.com. Any reproduction, dissemination, public propagation,
 * processing or transfer to third parties is only permitted where we previously
 * consented thereto in writing. The provisions of paragraph 69 d,
 * sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of
 * the German Copyright Act shall remain unaffected.
 *
 *
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von
 * Kunden der Shopgate GmbH zum Zwecke der eigenen Kommunikation zwischen
 * dem IT-System des Kunden mit dem IT-System der Shopgate GmbH verwendet werden.
 * Eine darüber hinausgehende Vervielfältigung, Verbreitung, öffentliche
 * Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer
 * vorherigen schriftlichen Zustimmung zulässig. Die Regelungen
 * der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 */

if (!function_exists('getShopBasePath')) {
	$sOxidConfigDir = '../..';
	function getShopBasePath() {
		return dirname(__FILE__) . '/../../';
	}
	
	require_once(getShopBasePath() . '/core/oxfunctions.php');
	require_once(getShopBasePath() . "/core/adodblite/adodb.inc.php");
}

require_once dirname(__FILE__) . '/shopgate_library/shopgate.php';
require_once dirname(__FILE__) . '/metadata.php';
require_once dirname(__FILE__) . '/shopgate_plugin.php';
require_once dirname(__FILE__) . '/helpers/voucher_ee.php';
require_once dirname(__FILE__) . '/helpers/user_ee.php';

class ShopgatePluginOxidEE extends ShopgatePluginOxid {
	
	public function startup() {
		parent::startup();
		
		$this->userHelper        = new ShopgateUserHelperEE($this->config);
		$this->voucherHelper     = new ShopgateVoucherHelperEE();
		$this->basketHelper      = new ShopgateBasketHelper(
			$this->userHelper,
			$this->voucherHelper,
			$this->shippingHelper
		);
	}
}
