<?php
/**
 * This Plugin is subject to copyright protection. It is only for the use of
 * Shopgate GmbH customers, for the purpose of facilitating communication between
 * the IT systems of the customer and the IT systems of Shopgate GmbH via
 * www.Shopgate.com. Any reproduction, dissemination, public propagation,
 * processing or transfer to third parties is only permitted where we previously
 * consented thereto in writing. The provisions of paragraph 69 d,
 * sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of
 * the German Copyright Act shall remain unaffected.
 *
 *
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von
 * Kunden der Shopgate GmbH zum Zwecke der eigenen Kommunikation zwischen
 * dem IT-System des Kunden mit dem IT-System der Shopgate GmbH verwendet werden.
 * Eine darüber hinausgehende Vervielfältigung, Verbreitung, öffentliche
 * Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer
 * vorherigen schriftlichen Zustimmung zulässig. Die Regelungen
 * der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 */

/**
 * Frontend controller for handling Shopgate integration requests
 */
class marm_shopgate_api extends oxUBase {
	
	/**
	 * For performance.
	 * no parent::init call, so no components and other objects created
	 *
	 * @return void
	 */
	public function init() {
		if (isAdmin()) {
			die('ERROR: API URL cannot be Admin URL');
		}
		define("_SHOPGATE_API", true);
		define("_SHOPGATE_ACTION", $_REQUEST["action"]);
	}
	
	/**
	 * Loads framework, and executes start action in it.
	 * After this, oxid will exit without template rendering ( oxUtils::showMessageAndExit())
	 *
	 * @return void
	 */
	public function render() {
		$oShopgateFramework = marm_shopgate::getInstance()->getFramework();
		$oShopgateFramework->handleRequest($_REQUEST);
		
		marm_shopgate::getOxUtils()->showMessageAndExit('');
	}
}